Subject: Re: [PATCH 4/7] MPIC MSI allocator

From: Olof Johansson <[email-masked]>
Date: Thu, 11 Jan 2007 18:27:12 -0600

On Thu, Jan 11, 2007 at 10:25:21PM +1100, Michael Ellerman wrote:
> To support MSI on MPIC we need a way to reserve and allocate hardware irq
> numbers, this patch implements an allocator for that.
> 
> Updated to only do dogy-U3-fallback-hacks on U3, all other platforms must
> define a "msi-ranges" property on their MPIC node for MSI to work.

The msi-ranges spec isn't documented anywhere besides the code where it's
used. Please add it to Documentation/powerpc/booting-without-of.txt too.

-Olof